{% extends 'base.html.twig' %}

{% block title %}- Administration{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-lg-10 col-md-10">
                <div class="row marginAddButton">
                    <div class="col-lg-12 col-md-12 text-center">
                        {% include 'forms/add_article.html.twig' %}
                    </div>
                </div>

                <div class="row textAdmin">
                    <div class="col-lg-12 col-md-12">
                        <div>
                            <!-- Nav tabs -->
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active"><a href="#article" aria-controls="article" role="tab" data-toggle="tab">Gestion articles</a></li>
                                <li role="presentation"><a href="#comment" aria-controls="comment" role="tab" data-toggle="tab">Gestion commentaires</a></li>
                                <li role="presentation"><a href="#report" aria-controls="report" role="tab" data-toggle="tab">Commentaire signalés</a></li>
                            </ul>

                            <div class="tab-content">
                                <div role="tabpanel" class="tab-pane active" id="article">
                                    <table>
                                        <thead>
                                        <tr>
                                            <th class="col-md-10">Titre</th>
                                            <th class="col-md-1">Modifier</th>
                                            <th class="col-md-1">Supprimer</th>
                                        </tr>
                                        </thead>

                                        <tbody>
                                        {% for article in articles %}
                                            <tr>
                                                <td>
                                                    <a href="{{ path('one_article', { 'articleId': article.id }) }}">{{ article.title|raw }}</a>
                                                </td>
                                                <td>
                                                    <button class="btn-xs btn-clipboard addButton">
                                                        <a href="{{ path('update_article', { 'articleId': article.id}) }}">Modifier</a>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button class="btn-xs btn-clipboard addButton">
                                                        <a href="{{ path('delete_article', { 'articleId': article.id}) }}">Supprimer</a>
                                                    </button>
                                                </td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                                <div role="tabpanel" class="tab-pane" id="comment">
                                    <table>
                                        <thead>
                                        <tr>
                                            <th class="col-md-10">Commentaire</th>
                                            <th class="col-md-1">Supprimer</th>
                                        </tr>
                                        </thead>

                                        <tbody>
                                        {% for comment in comments %}
                                            <tr>
                                                <td>
                                                    <p>{{ comment.content|raw }}</p>
                                                </td>
                                                <td>
                                                    <button class="btn-xs btn-clipboard addButton">
                                                        {% if comment.comment.id is defined %}
                                                            <a href="{{ path('remove_comment', { 'commentId': comment.id}) }}">Supprimer</a>
                                                        {% else %}
                                                            <a href="{{ path('remove_comment', { 'commentId': comment.id}) }}">Supprimer</a>
                                                        {% endif %}
                                                    </button>
                                                </td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                                <div role="tabpanel" class="tab-pane" id="report">
                                    <table>
                                        <thead>
                                        <tr>
                                            <th class="col-md-10">Commentaire signalé</th>
                                            <th class="col-md-1">Autoriser</th>
                                            <th class="col-md-1">Supprimer</th>
                                        </tr>
                                        </thead>

                                        <tbody>
                                        {% for comment in comments %}
                                            <tr>
                                                {% if comment.report %}
                                                    <td>
                                                        <p>{{ comment.content|raw }}</p>
                                                    </td>
                                                    <td>
                                                        <button class="btn-xs btn-clipboard addButton" id="authorize">
                                                            <a href="{{ path('authorize_comment', { 'commentId': comment.id}) }}">Autoriser</a>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        {% include 'confirm/suppress.html.twig' %}
                                                    </td>
                                                {% endif %}
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
